<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Postscriptum Test: Leaders on block</title>
	<meta name="assert" content=""/>
	<style>
		@page {
			size: A4 landscape;
		}

		p {
			border: solid 4px grey;
			padding: 0.5em;
		}

		.after::after { content: leader(dotted); }
		.afterAfter::after { content: leader(dotted) " AFTER"; }
		.afterBefore::after { content: "BEFORE " leader(dotted); }
		.afterBeforeAfter::after { content: "BEFORE " leader(dotted) " AFTER"; }

		.before::before { content: leader(dotted); }
		.beforeAfter::before { content: leader(dotted) "AFTER"; }
		.beforeBefore::before { content: "BEFORE " leader(dotted); }
		.beforeBeforeAfter::before { content: "BEFORE " leader(dotted) " AFTER"; }
	</style>
</head>
<body>
<div>
	<h2>After block</h2>
	<p class="after">Leader after</p>
	<p class="afterAfter">Leader after with pseudo-content after</p>
	<p class="afterBefore">Leader after with pseudo-content before</p>
	<p class="afterBeforeAfter">Leader after with pseudo-content after and before</p>


	<h2>Before block</h2>
	<p class="before">Leader before block</p>
	<p class="beforeAfter">Leader before with pseudo-content after</p>
	<p class="beforeBefore">Leader before with pseudo-content before</p>
	<p class="beforeBeforeAfter">Leader before with pseudo-content after and before</p>
</div>
</body>
</html>
